Package org.silverpeas.components.datawarning.model

# Class DataWarning

java.lang.Object
org.silverpeas.core.persistence.jdbc.bean.SilverpeasBean
org.silverpeas.components.datawarning.model.DataWarning

All Implemented Interfaces:
  `Serializable`, `org.silverpeas.core.persistence.jdbc.bean.SilverpeasEntityBean`

public class DataWarning extends org.silverpeas.core.persistence.jdbc.bean.SilverpeasBean

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `INCONDITIONAL_QUERY`
  `static final int`
  `TRIGGER_ANALYSIS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataWarning()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `closeConnection(Connection con)`
  `DataWarning`
  `copy()`
  `String[]`
  `getAllTableNames()`
  return un tableau de string contenant les noms de toutes les tables de la base
  `int`
  `getAnalysisType()`
  `String[]`
  `getColumnNames(String tableName)`
  return les noms des colonnes de la table passé en parametre
  `String`
  `getDescription()`
  `String`
  `getInstanceId()`
  `String`
  `getJdbcDriverName()`
  `String`
  `getLogin()`
  `String`
  `getPwd()`
  `int`
  `getRowLimit()`
  `protected String`
  `getTableName()`
  `Connection`
  `openConnection()`
  `void`
  `setAnalysisType(int analysisType)`
  `void`
  `setDescription(String description)`
  `void`
  `setInstanceId(String instanceId)`
  `void`
  `setJdbcDriverName(String jdbcDriverName)`
  `void`
  `setLogin(String login)`
  `void`
  `setPwd(String password)`
  `void`
  `setRowLimit(int rowLimit)`

  ### Methods inherited from class org.silverpeas.core.persistence.jdbc.bean.SilverpeasBean

  `getNonNullString, getPK, setPK`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### INCONDITIONAL_QUERY

    public static final int INCONDITIONAL_QUERY
    See Also:
      - Constant Field Values

  - ### TRIGGER_ANALYSIS

    public static final int TRIGGER_ANALYSIS
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DataWarning

    public DataWarning()

- ## Method Details

  - ### copy

    public DataWarning copy()

  - ### setDescription

    public void setDescription(String description)

  - ### getDescription

    public String getDescription()

  - ### setJdbcDriverName

    public void setJdbcDriverName(String jdbcDriverName)

  - ### getJdbcDriverName

    public String getJdbcDriverName()

  - ### setLogin

    public void setLogin(String login)

  - ### getLogin

    public String getLogin()

  - ### setPwd

    public void setPwd(String password)

  - ### getPwd

    public String getPwd()

  - ### setRowLimit

    public void setRowLimit(int rowLimit)

  - ### getRowLimit

    public int getRowLimit()

  - ### setInstanceId

    public void setInstanceId(String instanceId)

  - ### getInstanceId

    public String getInstanceId()

  - ### setAnalysisType

    public void setAnalysisType(int analysisType)

  - ### getAnalysisType

    public int getAnalysisType()

  - ### getTableName

    @NonNull protected String getTableName()
    Specified by:
      `getTableName` in class `org.silverpeas.core.persistence.jdbc.bean.SilverpeasBean`

  - ### openConnection

    public Connection openConnection() throws DataWarningException
    Throws:
      `DataWarningException`

  - ### closeConnection

    public void closeConnection(Connection con)

  - ### getAllTableNames

    public String[] getAllTableNames() throws DataWarningException
    return un tableau de string contenant les noms de toutes les tables de la base
    Throws:
      `DataWarningException`

  - ### getColumnNames

    public String[] getColumnNames(String tableName) throws DataWarningException
    return les noms des colonnes de la table passé en parametre
    Throws:
      `DataWarningException`